<?php include('fncr-geral/configuracao_geral.php');
$pagina = "clubes";

$id_clube = $_GET['clube'];

$email = "lswebsites@hotmail.com";
$token = "5418AF7C4B824F7C8DE7C2012DE7EE08";

$sql_clube = $bd->getConexao()->prepare('SELECT * FROM clubes WHERE id = :id_clube');
$sql_clube->bindValue(':id_clube', $id_clube, PDO::PARAM_STR);
if( $sql_clube->execute() ) { $resul_clube = $sql_clube->fetch(PDO::FETCH_ASSOC);}

// Cadastrando Novo Registro
if(isset($_POST['novo']) && $_POST['novo'] == 'registro') {

  if($_POST['desc'] != "" && $_POST['valor'] != "" && $_POST['periodo'] != ""){

    $desc_ini = $_POST['desc_ini'];
    $desc2 = $_POST['desc2'];

    if($desc2==""){
      $desc = $_POST['desc'];
      if($desc==1){$descricao=$desc_ini.'Completo';}
      if($desc==2){$descricao=$desc_ini.'Comb.1';}
      if($desc==3){$descricao=$desc_ini.'Comb.2';}
      if($desc==4){$descricao=$desc_ini.'Comb.3';}
      if($desc==5){$descricao=$desc_ini.'Anual 1/4';}
      if($desc==6){$descricao=$desc_ini.'Anual 2/4';}
      if($desc==7){$descricao=$desc_ini.'Anual 3/4';}
      if($desc==8){$descricao=$desc_ini.'Anual 4/4';}
      if($desc==9){$descricao=$desc_ini.'Bonus Sorteio';}
      if($desc==10){$descricao=$desc_ini.'Light1';}
      if($desc==11){$descricao=$desc_ini.'Light2';}
    }else{
      $descricao=$desc_ini.$desc2;
    }

    $qtd = $_POST['qtd'];
    if($qtd=="" or $qtd==0){$qtd=1;}

    $valor = $_POST['valor'];
    $periodo = explode('-', $_POST['periodo']);
    $venc = explode('-', $_POST['vencimento']);

    $sql_reg_qt = $bd->getConexao()->prepare('SELECT * FROM clubes_financeiro WHERE id_clube = :id_clube AND status > 0');
    $sql_reg_qt->bindValue(':id_clube', $id_clube, PDO::PARAM_STR);
    if( $sql_reg_qt->execute() ) { $resul_reg_qt = $sql_reg_qt->fetchall(PDO::FETCH_ASSOC);}

    $prox_mes = $periodo[1];
    $ano = substr($periodo[0], -2);

    for($i=1;$i<=$qtd;$i++){

      $qtd_registros = numerodigitos(count($resul_reg_qt)+$i,3);

      if($prox_mes > 12){
        $prox_mes = 1;
        $ano ++;
      }

      $documento = $id_clube.'.'.$qtd_registros.'.'.$ano.'-'.numerodigitos($prox_mes,2);
      $vencimento = '20'.$ano.'-'.numerodigitos($prox_mes,2).'-'.$venc[2];

      $sql_cadastrar_reg = $bd->getConexao()->prepare('INSERT INTO clubes_financeiro
      (id_clube, documento, periodo_mes, periodo_ano, valor, vencimento, descricao, status) VALUES (
      "'.$id_clube.'", "'.$documento.'", "'.$prox_mes.'", "'.$ano.'", "'.$valor.'", "'.$vencimento.'", "'.$descricao.'", "1")');
      if( $sql_cadastrar_reg->execute() );

      $prox_mes ++;
    }
  }

  $mensagem = "ok";
  $mensagem_frase =  'Novo registro cadastrado com sucesso';

}

// Alterando Status
if(isset($_POST['alterar']) && $_POST['alterar'] == 'status') {

  if($_POST['status_original'] != $_POST['status']){

    $id_registro =  $_POST['id_registro'];
    $id_status = $_POST['status'];

    if(isset($_POST['valor_pago']) && $_POST['valor_pago'] != ""){
      $valor_pago = moeda($_POST['valor_pago']);

      $sql_alterar = $bd->getConexao()->prepare('UPDATE clubes_financeiro SET
        status = :id_status,
        valor_pago = :valor_pago
        WHERE id = :id_registro');
      $sql_alterar->bindValue(':id_status', $id_status, PDO::PARAM_STR);
      $sql_alterar->bindValue(':valor_pago', $valor_pago, PDO::PARAM_STR);
      $sql_alterar->bindValue(':id_registro', $id_registro, PDO::PARAM_STR);
      if( $sql_alterar->execute() );

    }else{

      $sql_alterar = $bd->getConexao()->prepare('UPDATE clubes_financeiro SET
        status = :id_status
        WHERE id = :id_registro');
      $sql_alterar->bindValue(':id_status', $id_status, PDO::PARAM_STR);
      $sql_alterar->bindValue(':id_registro', $id_registro, PDO::PARAM_STR);
      if( $sql_alterar->execute() );

    };

    if($id_status != 1){
      $sql_cadastrar_data = $bd->getConexao()->prepare('INSERT INTO clubes_financeiro_datas
      (id_financeiro, data, hora, status, usuario) VALUES (
      "'.$id_registro.'", "'.$data.'", "'.$hora.'", "'.$id_status.'", "'.$usuario_id.'")');
      if( $sql_cadastrar_data->execute() );
    }

    $mensagem = "ok";
    $mensagem_frase =  'Status alterado com sucesso';

  }else{
    echo "igual";
  }

}

// Deletando Data
if(isset($_POST['excluir']) && $_POST['excluir'] == 'data') {

  $id_data = $_POST['id_data'];

  // excluir data
  $sql_excluir_data = $bd->getConexao()->prepare('DELETE FROM clubes_financeiro_datas WHERE id = :id_data');
  $sql_excluir_data->bindValue(':id_data', $id_data, PDO::PARAM_STR);
  if( $sql_excluir_data->execute() );
}

// Deletando Registro
if(isset($_POST['excluir']) && $_POST['excluir'] == 'registro') {

  $id_registro = $_POST['id_registro'];

  $sql_alterar = $bd->getConexao()->prepare('UPDATE clubes_financeiro SET
    status = 0
    WHERE id = :id_registro');
  $sql_alterar->bindValue(':id_registro', $id_registro, PDO::PARAM_STR);
  if( $sql_alterar->execute() );

  /*
  // Excluir Registro
  $sql_excluir_registro = $bd->getConexao()->prepare('DELETE FROM clubes_financeiro WHERE id = :id_registro');
  $sql_excluir_registro->bindValue(':id_registro', $id_registro, PDO::PARAM_STR);
  if( $sql_excluir_registro->execute() );
  // Excluir Datas
  $sql_excluir_datas = $bd->getConexao()->prepare('DELETE FROM clubes_financeiro_datas WHERE id_financeiro = :id_registro');
  $sql_excluir_datas->bindValue(':id_registro', $id_registro, PDO::PARAM_STR);
  if( $sql_excluir_datas->execute() );
  */
}

// Registros
$sql_registros = $bd->getConexao()->prepare('
SELECT clubes_financeiro.*,
  clubes_financeiro_status.status as nomestatus,
  DATE_FORMAT(clubes_financeiro.vencimento,"%d/%m/%Y") AS vencimento,
  DATE_FORMAT(clubes_financeiro.data_pgto,"%d/%m/%Y") AS data_pagamento,
  DATE_FORMAT(clubes_financeiro.data_liberacao,"%d/%m/%Y") AS liberacao
FROM clubes_financeiro
  LEFT JOIN clubes_financeiro_status ON clubes_financeiro_status.id = clubes_financeiro.status
WHERE clubes_financeiro.id_clube = :id_clube  AND clubes_financeiro.status > 0 ORDER BY periodo_ano DESC, periodo_mes DESC');
$sql_registros->bindValue(':id_clube', $id_clube, PDO::PARAM_STR);
if( $sql_registros->execute() ) { $resul_registros = $sql_registros->fetchall(PDO::FETCH_ASSOC);}

// Status
$sql_status = $bd->getConexao()->prepare('SELECT * FROM clubes_financeiro_status ORDER BY id ASC');
if( $sql_status->execute() ) { $resul_status = $sql_status->fetchall(PDO::FETCH_ASSOC);}


if(isset($_POST['pagar']) && $_POST['pagar'] == 'pagseg') {
  require_once "js/PagSeguroLibrary/PagSeguroLibrary.php";

  $id_registro_fncr = $_POST['id_registro'];

  // Dados do registro
  $sql_reg = $bd->getConexao()->prepare('SELECT * FROM clubes_financeiro WHERE id = :id_reg');
  $sql_reg->bindValue(':id_reg', $id_registro_fncr, PDO::PARAM_STR);
  if( $sql_reg->execute() ) { $resul_reg = $sql_reg->fetch(PDO::FETCH_ASSOC);}

  $registro_fncr_valor = $resul_reg['valor'];
  $registro_fncr_descricao = $resul_reg['descricao'];
  $registro_fncr_doc = $resul_reg['documento'];

  // Dados do clube
  $sql_clube = $bd->getConexao()->prepare('SELECT * FROM clubes WHERE id = :id_clube');
  $sql_clube->bindValue(':id_clube', $resul_reg['id_clube'], PDO::PARAM_STR);
  if( $sql_clube->execute() ) { $resul_clube = $sql_clube->fetch(PDO::FETCH_ASSOC);}

  $telefone = explode(' ', $resul_clube['tel1']);

  $post = array(
    'nome'  => $resul_clube['contato'],
    'email' => $resul_clube['email'],
    'ddd'   =>  $telefone[0],
    'telefone' => fichas($telefone[1]),
    'documento' => 'CPF',
    'docnumero' => $resul_clube['cpf'],
    'rua'     => $resul_clube['endereco'],
    'numero' => '-',
    'complemento' => $resul_clube['nome'],
    'bairro' => '',
    'cidade' => $resul_clube['cidade'],
    'uf' => $resul_clube['uf'],
    'cep' => fichas($resul_clube['cep'])
  );


  $pagseguro = new PagSeguroPaymentRequest();
  $pagseguro->setCurrency('BRL'); // tipo de moeda
  $pagseguro->setShippingType(3); // 1 PAC / 2 SEDEX / 3 Nao especificada
  $pagseguro->setReference($id_registro_fncr); // Código de Referência do Pedido
  // Dados do Cliente
  $pagseguro->setSender($post['nome'], $post['email'], $post['ddd'], $post['telefone'], $post['documento'], $post['docnumero']);
  // Endereço do Cliente
  $pagseguro->setShippingAddress($post['cep'], $post['rua'], $post['numero'], $post['complemento'],  $post['bairro'], $post['cidade'],$post['uf'], 'BRA');
  // Dados do produto
  $id      = "1";
  $produto = $registro_fncr_descricao.' - '.$registro_fncr_doc;
  $qtd     = 1;
  $preco   = $registro_fncr_valor;
  $peso    = 0;

  $pagseguro->addItem($id, $produto, $qtd, $preco, $peso);

  $credentials = PagSeguroConfig::getAccountCredentials();
  //$credenciais = new PagSeguroAccountCredentials('lswebsites@hotmail.com', 'A1EC67424DB0435DBBC82E3F49FF6B71');
  $url = $pagseguro->register($credentials);
  header("Location: $url");

}

// Modal Inserir Parcela
$periodo = '';$valor = '';$vencimento = '';
if(count($resul_registros)>0){ $l=$resul_registros[0];

  $prox_mes = $l['periodo_mes']+1;
  $ano = $l['periodo_ano'];

  if($prox_mes > 12){
    $prox_mes = 1;
    $ano = $l['periodo_ano']+1;
  }

  $periodo = '20'.$ano.'-'.numerodigitos($prox_mes,2);
  $valor = $l['valor'];
  $vencimento = '20'.$ano.'-'.numerodigitos($prox_mes,2).'-08';
}

?>
<!DOCTYPE html>
<html lang="pt-br">
<head>
    <?php include('fncr-geral/html-head.php');?>

<script type="text/javascript">

  // Script Modal Status
  $(document).ready(function(){
    $("#modal_status").on('show.bs.modal', function(event){
      var button = $(event.relatedTarget);
      var id_registro = button.data('id_registro');
      var id_status = button.data('id_status');
      var valor_pago = button.data('valor_pago');
      $(this).find('.id_registro').val(id_registro);
      $(this).find('.status_original').val(id_status);
      $(this).find('.opt-status').removeAttr('selected');
      $(this).find('.opt'+id_status).attr('selected', 'selected');
      $('#valor_pago').attr('disabled', 'disabled')
      if(id_status == "5"){
        $('#valor_pago').removeAttr('disabled')
      }else{
        $('#valor_pago').attr('disabled', 'disabled')
      }
      if(valor_pago != "0"){
        $(this).find('#valor_pago').val(valor_pago);
      }else{
        $(this).find('#valor_pago').val('');
      }
    });
  });

  $(document).ready(function(){
    $("#select_status").change(function(){
        var str = "";
        $("#select_status option:selected").each(function(){
          str += $(this).val();
        });
        if(str == 5){
          $('#valor_pago').removeAttr('disabled')
        }else{
          $('#valor_pago').attr('disabled', 'disabled')
        }
      })
  });

  // Script Modal Status Alterações
  $(document).ready(function(){
    $("#modal_status_alt").on('show.bs.modal', function(event){
      var button = $(event.relatedTarget);
      var id_registro = button.data('id_registro');
      var dest = button.data('dest');
      $(this).find('#modal_status_alt_conteudo').load('modal/status_alt.php?reg='+id_registro+'&dest='+dest);
    });
  });

  // Script Modal data Status Deletar
  $(document).ready(function(){
    $("#modal_status_alt_deletar").on('show.bs.modal', function(event){
      var button = $(event.relatedTarget);
      var id_data = button.data('id_data');
      $(this).find('.id_data').val(id_data);
    });
  });

  // Script Modal data Status Deletar
  $(document).ready(function(){
    $("#modal_excluir_registro").on('show.bs.modal', function(event){
      var button = $(event.relatedTarget);
      var id_registro = button.data('id_registro');
      $(this).find('.id_registro').val(id_registro);
    });
  });

</script>

</head>
<body>

<!-- BARRA SUPERIOR -->
<?php include('barra-sup.php');?>
<!-- MENU PRINCIPAL -->
<?php include('menu.php');?>

<section id="content">

<div class="clearfix padder bg-fncr-clearfix">
<h3 class="m-b">Financeiro - <?php echo $resul_clube['nome']?></h3>
</div>

<section id="content" class="content-sidebar bg-white" style="padding-bottom: 100px">
<section class="main">
<br>

      <div class="col-lg-12">
        <section class="panel">
          <header class="panel-heading">
            <a href="clubes-config.php?clube=<?php echo $id_clube?>" class="btn btn-inverse btn-xs pull-right" style="margin-left: 10px">Configura&ccedil;&otilde;es</a>
            <a href="clubes-detalhes.php?clube=<?php echo $id_clube?>" class="btn btn-inverse btn-xs pull-right" style="margin-left: 10px">Dados Cadastrais</a>
            <a data-toggle="modal" href="#modal_novo_registro" data-backdrop="static" class="btn btn-primary btn-xs pull-right"><i class="fa fa-plus"></i> Novo Registro</a>
            <div style="margin-top: 5px">Registros financeiro do clube</div>
          </header>
          <div class="table-responsive">
            <table class="table table-striped b-t text-small">
              <thead>
              <tr>
                <th class="text-center" width="80">Doc</th>
                <th class="text-center" width="80">Per&iacute;odo</th>
                <th class="text-center" width="180">Descri&ccedil;&atilde;o</th>
                <th class="text-center" width="80">Valor</th>
                <th class="text-center" width="100">Vencimento</th>
                <th class="text-center" width="80">Valor L&iacute;q</th>
                <th class="text-center" width="80">Data Pgt.</th>
                <th class="text-center" width="140">Status</th>
                <th class="text-center" width="90">Detalhes</th>
                <th class="text-center" width="90"></th>
              </tr>
              </thead>
              <tbody>
              <?php foreach($resul_registros as $linha_registros){

                if($linha_registros['valor'] != 0){
                  $valor_registro = "R$ ".echomoeda($linha_registros['valor']);
                }else{ $valor_registro = "Cortesia"; }

                if($linha_registros['valor_pago'] > 0){
                  $valor_pago = echomoeda($linha_registros['valor_pago']);
                }else{ $valor_pago = "0"; }
              ?>
                <tr>
                  <td class="text-info text-center" style="font-size: 10px"><?php echo $linha_registros['documento']?></td>
                  <td class="text-info text-center"><?php echo substr(meses($linha_registros['periodo_mes']), 0, 3)?> / 20<?php echo $linha_registros['periodo_ano']?></td>
                  <td class="text-info text-center"><?php echo $linha_registros['descricao']?></td>
                  <td class="text-info text-center"><?php echo $valor_registro?></td>
                  <td class="text-info text-center"><?php echo $linha_registros['vencimento']?></td>
                  <td class="text-info text-center">R$ <?php echo echomoeda($linha_registros['valor_liberado'])?></td>
                  <td class="text-info text-center"><?php echo $linha_registros['data_pagamento']?></td>
                  <td class="text-info status-<?php echo $linha_registros['status']?>">
                    <a data-toggle="modal" href="#modal_status" data-backdrop="static" class="pull-left" data-id_registro="<?php echo $linha_registros['id']?>" data-id_status="<?php echo $linha_registros['status']?>" data-valor_pago="<?php echo $valor_pago?>" style="margin-right: 10px"><i class="fa fa-pencil-square fa-lg" data-toggle="tooltip" data-placement="top" title="Alterar Status"></i></a>
                    <?php echo $linha_registros['nomestatus']?>
                    <a class="pull-right" data-toggle="modal" href="#modal_status_alt" data-backdrop="static" data-id_registro="<?php echo $linha_registros['id']?>" data-dest="fn"><i class="fa fa-calendar fa-lg" data-toggle="tooltip" data-placement="top" title="Hist&oacute;rico de Altera&ccedil;&otilde;es"></i></a>
                  </td>
                  <td class="text-info text-center">
                    <a class="bt-registro pull-right" data-toggle="modal" href="#modal_excluir_registro" data-backdrop="static" data-id_registro="<?php echo $linha_registros['id']?>" style="margin-left: 10px;"><i class="fa fa-times fa-lg" data-toggle="tooltip" data-placement="top" title="Excluir Registro"></i></a>
                    <?php if(isset($linha_registros['transacao']) && $linha_registros['transacao'] != ""){?>
                    <a class="bt-registro pull-right" data-toggle="modal" href="#modal_status_alt" data-backdrop="static" data-id_registro="<?php echo $linha_registros['id']?>" data-dest="pag"><i class="fa fa-calendar fa-lg" data-toggle="tooltip" data-placement="top" title="Hist&oacute;rico de Altera&ccedil;&otilde;es"></i></a>
                    <a class="bt-registro pull-right" href="https://ws.pagseguro.uol.com.br/v2/transactions/<?php echo $linha_registros['transacao']?>?email=<?php echo $email?>&token=<?php echo $token?>" target="_blank"><i class="fa fa-shopping-bag fa-lg" data-toggle="tooltip" data-placement="top" title="Detalhes"></i></a>
                    <?php } ?>
                  </td>
                  <td class="text-info text-center">
                    <form class="m-b-none" method="post" enctype="multipart/form-data" target="_blank">
                      <input type="hidden" name="pagar" value="pagseg">
                      <input type="hidden" name="id_registro" value="<?php echo $linha_registros['id']?>">
                      <?php if($linha_registros['status']!=4 && $linha_registros['status']!=10){?>
                      <button type="submit" class="btn btn-inverse btn-pagar" style="height: 20px;padding: 1px 10px 1px 10px;font-size: 11px">Pagar</button>
                      <?php } ?>
                    </form>
                  </td>
                </tr>
              <?php } ?>
              </tbody>
            </table>
          </div>
        </section>
      </div>

  <div class="col-lg-4 no-padder">
    <form class="m-b-none" method="post" action="http://fncr.apppokerweb.com.br/retorno2-pag.php" enctype="multipart/form-data">
      <input type="hidden" name="notificationType" value="transaction" />
      <div class="col-lg-11">
        <input type="text" class="form-control" name="notificationCode" placeholder="C&oacute;digo de Notifica&ccedil;&atilde;o">
      </div>
      <div class="col-lg-1">
        <button type="submit" class="btn btn-xs btn-info">Executar</button>
      </div>
    </form>
  </div>

</section>
</section>
</section>

<!-- FOOTER -->
<?php include('footer.php');?>

<!-- Modal Novo Registro -->
<div id="modal_novo_registro" class="modal fade">
  <form class="m-b-none" method="post" action="" data-validate="parsley" enctype="multipart/form-data">
    <input type="hidden" name="novo" value="registro" />
    <div class="modal-dialog  modal-sm" style="width: 550px;">
      <div class="modal-content">
        <div class="modal-header bg-info">
          <button type="button" class="close" data-dismiss="modal"><i class="fa fa-times"></i></button>
          <h4 class="modal-title" id="myModalLabel">Editar Registro de Compra</h4>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-lg-12">
              <section class="panel">
                <table class="table table-striped b-t text-small">
                  <thead>
                  <tr>
                    <th width="200"></th>
                    <th class="text-center" width="400"></th>
                  </tr>
                  </thead>
                  <tbody>
                  <tr>
                    <td class="text-info"><div style="margin-top: 5px">Descri&ccedil;&atilde;o Inicial</div></td>
                    <td class="text-info text-center"><input type="text" class="form-control" name="desc_ini" value="Licen&ccedil;a de Uso / "></td>
                  </tr>
                  <tr>
                    <td class="text-info"><div style="margin-top: 5px">Licen&ccedil;a de Uso / ...</div></td>
                    <td class="text-info text-center">
                      <select id="select_status" class="form-control" name="desc">
                        <option value="1">Completo</option>
                        <option value="2">Comb.1</option>
                        <option value="3">Comb.2</option>
                        <option value="4">Comb.3</option>
                        <option value="5">Anual 1/4</option>
                        <option value="6">Anual 2/4</option>
                        <option value="7">Anual 3/4</option>
                        <option value="8">Anual 4/4</option>
                        <option value="9">Bonus Sorteio</option>
                        <option value="10">Light1</option>
                        <option value="11">Light2</option>
                      </select>
                    </td>
                  </tr>
                  <tr>
                    <td class="text-info"><div style="margin-top: 5px">Outra Descri&ccedil;&atilde;o</div></td>
                    <td class="text-info text-center"><input type="text" class="form-control" name="desc2"></td>
                  </tr>
                  <tr>
                    <td class="text-info"><div style="margin-top: 5px">Qtd de Parcelas</div></td>
                    <td class="text-info text-center"><input type="text" class="form-control" name="qtd"></td>
                  </tr>
                  <tr>
                    <td class="text-info"><div style="margin-top: 5px">Per&iacute;odo</div></td>
                    <td class="text-info text-center">
                      <input type="text" class="combodate form-control" data-format="YYYY-MM" data-template="MMMM  YYYY" name="periodo" value="<?php echo $periodo?>" data-required="true">
                    </td>
                  </tr>
                  <tr>
                    <td class="text-info"><div style="margin-top: 5px">Valor</div></td>
                    <td class="text-info text-center"><input type="text" class="form-control" name="valor" value="<?php echo $valor?>" data-required="true"></td>
                  </tr>
                  <tr>
                    <td class="text-info"><div style="margin-top: 5px">Vencimento</div></td>
                    <td class="text-info text-center">
                      <input type="text" class="combodate form-control" data-format="YYYY-MM-DD" data-template="DD MMMM YYYY" name="vencimento" value="<?php echo $vencimento?>" data-required="true">
                    </td>
                  </tr>
                  </tbody>
                </table>
              </section>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-sm btn-default" data-dismiss="modal">Cancelar</button>
          <button type="submit" class="btn btn-sm btn-info">Salvar</button>
        </div>
      </div>
    </div>
  </form>
</div>

<!-- Modal Alterar Status -->
<div id="modal_status" class="modal fade">
  <form class="m-b-none" method="post" action="" data-validate="parsley" enctype="multipart/form-data">
    <input type="hidden" name="alterar" value="status">
    <input type="hidden" name="id_registro" class="id_registro" value="">
    <input type="hidden" name="status_original" class="status_original" value="">
    <div class="modal-dialog  modal-sm" style="width: 350px;">
      <div class="modal-content">
        <div class="modal-header bg-info">
          <button type="button" class="close" data-dismiss="modal"><i class="fa fa-times"></i></button>
          <h4 class="modal-title" id="myModalLabel">Editar Registro de Compra</h4>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-lg-12">
              <section class="panel">
                <table class="table table-striped b-t text-small">
                  <thead>
                  <tr>
                    <th width="150"></th>
                    <th class="text-center" width="450"></th>
                  </tr>
                  </thead>
                  <tbody>
                  <tr>
                    <td class="text-info"><div style="margin-top: 5px">Status</div></td>
                    <td class="text-info text-center">
                      <select id="select_status" class="form-control" name="status">
                        <?php foreach($resul_status as $linha_status){?>
                          <option class="opt-status opt<?php echo $linha_status['id']?>" value="<?php echo $linha_status['id']?>"><?php echo $linha_status['status']?></option>
                        <?php } ?>
                      </select>
                    </td>
                  </tr>
                  <tr>
                    <td class="text-info"><div style="margin-top: 5px">Valor Pago</div></td>
                    <td class="text-info text-center"><input id="valor_pago" type="text" class="form-control" name="valor_pago" value="" disabled="disabled"></td>
                  </tr>
                  </tbody>
                </table>
              </section>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-sm btn-default" data-dismiss="modal">Cancelar</button>
          <button type="submit" class="btn btn-sm btn-info">Salvar</button>
        </div>
      </div>
    </div>
  </form>
</div>

<!-- Modal Histórico Status -->
<div id="modal_status_alt" class="modal fade">
  <form class="m-b-none" method="post" action="" data-validate="parsley" enctype="multipart/form-data">
    <input type="hidden" name="alterar" value="status">
    <input type="hidden" name="id_registro" class="id_registro" value="">
    <input type="hidden" name="status_original" class="status_original" value="">
    <div class="modal-dialog  modal-sm" style="width: 450px;">
      <div class="modal-content">
        <div class="modal-header bg-info">
          <button type="button" class="close" data-dismiss="modal"><i class="fa fa-times"></i></button>
          <h4 class="modal-title" id="myModalLabel">Editar Registro de Compra</h4>
        </div>
        <div id="modal_status_alt_conteudo" class="modal-body">
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-sm btn-default" data-dismiss="modal">Cancelar</button>
          <button type="submit" class="btn btn-sm btn-info">Salvar</button>
        </div>
      </div>
    </div>
  </form>
</div>

<!-- Modal EXCLUIR data -->
<div id="modal_status_alt_deletar" class="modal fade bs-example-modal-sm">
  <form class="m-b-none" method="post" action="" enctype="multipart/form-data">
    <input type="hidden" name="excluir" value="data" />
    <input type="hidden" class="id_data" name="id_data" value="" />
    <div class="modal-dialog modal-sm" style="width: 350px;">
      <div class="modal-content">
        <div class="modal-header bg-info">
          <button type="button" class="close" data-dismiss="modal"><i class="fa fa-times"></i></button>
          <h4 class="modal-title" id="myModalLabel">Excluir Altera&ccedil;&atilde;o</h4>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-lg-12 text-center">
              Tem certeza que deseja excluir esta Altera&ccedil;&atilde;o?
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-sm btn-default" data-dismiss="modal">Cancelar</button>
          <button type="submit" class="btn btn-sm btn-danger" data-loading-text="Excluindo...">Excluir</button>
        </div>
      </div>
    </div>
  </form>
</div>

<!-- Modal EXCLUIR data -->
<div id="modal_excluir_registro" class="modal fade bs-example-modal-sm">
  <form class="m-b-none" method="post" action="" enctype="multipart/form-data">
    <input type="hidden" name="excluir" value="registro" />
    <input type="hidden" class="id_registro" name="id_registro" value="" />
    <div class="modal-dialog modal-sm" style="width: 350px;">
      <div class="modal-content">
        <div class="modal-header bg-info">
          <button type="button" class="close" data-dismiss="modal"><i class="fa fa-times"></i></button>
          <h4 class="modal-title" id="myModalLabel">Excluir Registro</h4>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-lg-12 text-center">
              Tem certeza que deseja excluir este Registro?
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-sm btn-default" data-dismiss="modal">Cancelar</button>
          <button type="submit" class="btn btn-sm btn-danger" data-loading-text="Excluindo...">Excluir</button>
        </div>
      </div>
    </div>
  </form>
</div>

<!-- app -->
<script src="js/app.js"></script>
<script src="js/app.plugin.js"></script>
<script src="js/app.data.js"></script>
<!-- Sparkline Chart -->
<script src="js/charts/sparkline/jquery.sparkline.min.js"></script>
<!-- Easy Pie Chart -->
<script src="js/charts/easypiechart/jquery.easy-pie-chart.js"></script>
  <!-- select2 -->
<script src="js/select2/select2.min.js"></script>
  <!-- fuelux -->
<script src="js/fuelux/fuelux.js"></script>
<!-- datepicker -->
<script src="js/datepicker/bootstrap-datepicker.js"></script>
<!-- slider -->
<script src="js/slider/bootstrap-slider.js"></script>
<!-- file input -->
<script src="js/file-input/bootstrap.file-input.js"></script>
<!-- combodate -->
<script src="js/combodate/moment.min.js"></script>
<script src="js/combodate/combodate.js"></script>
<!-- parsley -->
<script src="js/parsley/parsley.min.js"></script>

</body>
</html>
<?php $bd = null; $bd_fn = null;?>